%%  lsg_gnmregnss_ini.m
%%  Kap 11.7.1
%%  Initialisierungsdatei zu lsg_gnmregnss.mdl

%% Maschinen- und allgemeine Simulationsdaten
gnm_i                                   % Gleichstrommaschine
gnmregi_i                               % Stromregelkreis + Stromrichter
step_max = 0.0001 ;                     % Maximale Schrittweite
%% Drehzahlsollwert-Blcke
T_Nsoll = 0.40 ;                        % Dauer einer Periode   [ s ]
N_soll  = 500/60 ;                      % Solldrehzahl          [ 1/s ]
%% Widerstandsmomenten-Sprung
T_MW = 0.10 ;                           % Zeitpunkt des Sprungs [ s ]
MW   = 100 ;                            % Sprunghhe            [ Nm ]

%% Drehzahlregelung: PI-Regler, erw. SO-optimiert
V_Rn     = 2*pi*J / (CM*PsiN*4*2*T_t) ; % Verstrkungsfaktor    [ Vs ]
T_Rn     = 4^2*2*T_t ;                    % Nachstellzeit         [ s ]
int_regn = 0 ;                          % Startwert Regler-Integrators

%% GNM in Zustandsdarstellung mit Widerstandsmoment
A = [ -RA/LA           -CE*PsiN/LA  ; ...
       CM*PsiN/(2*pi*J) 0           ; ...
    ];
B = [  1/LA    0          ; ...  
       0      -1/(2*pi*J) ; ...
    ];
C = [  1  0 ; ...  
       0  1   ...
    ];
D = zeros(size(C*B)) ;

%% Simulation 
sim('lsg_gnmregnss')

%% Plotten der gefragten Gren
figure
    subplot(211) 
    hold on ; 
    plot(t,N,'r-',t,yss(:,2),'--'); 
    title('N'); 
    legend('N','yss(:21)',4);
    subplot(212) 
    hold on ; 
    plot(t,IA,'r-',t,yss(:,1),'--');
    title('IA'); 
    legend('IA','yss(:,1)',4);

if exist('druck') == 1 , print -depsc b_gnmregnss_lsg.eps , end
if exist('druck') == 1 , print -depsc -slsg_gnmregnss b_gnmregnss.eps , end
