%%  gnmbeobregl_i.m
%%  Kap. 11.5
%%  Initialisierungsdatei zu gnmbeobreg.mdl

%% Maschinen- und allgemeine Simulationsdaten
gnm_i                                         % Gleichstrommaschine
gnmbeobreg_i                                  % Grundeinstellung

%% Luenberger-Beobachter berechnen
polo = 50*real(pole(sysbeob))+imag(pole(sysbeob))/50*i % Beobachterpole
l    = place(sysbeob.a',sysbeob.c',polo).'    % Rckfhrvektor berechnen
beob = estim(sysbeob,l,1,1)                   % SS-LTI-Modell Beobachter

%% Zustandsregler berechnen
T_sys = 0.001;                                % Systemzeitkonstante [s]
polc  = roots([ 8*T_sys^3 8*T_sys^2 4*T_sys 1 ]) % Wunsch-Pole Regler
k     = place(syszreg.a,syszreg.b,polc)       % Nullstellen berechnen
K_V   = -1/(syszreg.c*inv(syszreg.a-syszreg.b*k)*syszreg.b)

sel_aus = [3 4] ;                             % 2 Selectorausgnge 
sel_in  = size(beob,1) ;                      % Anzahl Selectoreingnge
