%%  gnmbeobregs_i.m
%%  Kap. 11.5
%%  Initialisierungsdatei zu gnmbeobreg.mdl

%% Maschinen- und allgemeine Simulationsdaten
gnm_i                                         % Gleichstrommaschine
gnmbeobreg_i                                  % Grundeinstellung

%% Strgren-Beobachter
F = [ 0 -1/(2*pi*J) 0 ]'  ;                   % Eingriff der Strung
polo = 25*real(pole(sysbeob))+imag(pole(sysbeob))/25*i  % Beobachterpole
l = place(sysbeob.a',sysbeob.c',polo).'       % Rckfhrvektor berechnen
s = 10000 ;                                   % Rckfhrkoeffizient

% Beobachter-Matrizen berechnen
clear beob
beob.a = [ sysbeob.a-l*sysbeob.c F ; -s*sysbeob.c 0 ] ;
beob.b = [ sysbeob.b l ; 0 s ] ;
beob.c = [ sysbeob.c 0 ; eye(size(beob.a)) ] ;
beob.d = zeros(size(beob.c*beob.b)) ;
beob   = ss(beob.a,beob.b,beob.c,beob.d)      % SS-LTI-Modell Beobachter

%% Zustandsregler berechnen
T_sys = 0.001;                                % Systemzeitkonstante [s]
polc  = roots([ 8*T_sys^3 8*T_sys^2 4*T_sys 1 ]) % Wunsch-Pole Regler
k     = place(syszreg.a,syszreg.b,polc)       % Nullstellen berechnen
K_V   = -1/(syszreg.c*inv(syszreg.a-syszreg.b*k)*syszreg.b)

sel_aus = [3 4] ;                             % 2 Selectorausgnge 
sel_in  = size(beob,1) ;                      % Anzahl Selectoreingnge
